import { DynamicScore } from '@parlor/common';
import { FilterOption } from '../../filters.types';
export declare function useFilterDynamicScoreValues(dynamicScores: Pick<DynamicScore, 'id' | 'appliesTo' | 'dynamicScoreValues' | 'name' | 'status'>[], isFilterGroupButton?: boolean): {
    filterScoreValueOptions: FilterOption.Default[];
    scoreValueFilterHelpers: {
        prefix: string;
        isCustom(str: string): boolean;
        generateID(id: string): string;
        parseID(str: string): string;
    };
};
